# Ansible-Kibana

Installs and configures a RHEL based machine as a Kibana server

## Role Variables

|                 Variable                  | Required |         Default         |            Choices            |                           Comments                           |
| ----------------------------------------- | -------- | ----------------------- | ----------------------------- | ------------------------------------------------------------ |
| kibana_server_port                        | Yes      | "5601"                  |                               |                                                              |
| kibana_server_host                        | Yes      | "0.0.0.0"               |                               |                                                              |
| kibana_elasticsearch_url                  | Yes      | "http://localhost:9200" |                               |                                                              |
| kibana_elasticsearch_username             | No       | ""                      |                               |                                                              |
| kibana_elasticsearch_password             | No       | ""                      |                               |                                                              |
| kibana_server_ssl_enabled                 | No       | ""                      |                               |                                                              |
| kibana_server_ssl_certificate             | No       | ""                      |                               |                                                              |
| kibana_server_ssl_key                     | No       | ""                      |                               |                                                              |
| kibana_elasticsearch_ssl_verificationMode | No       | ""                      | "full", "certificate", "none" | Default is undefined/full                                    |
| kibana_firewall_access                    | No       | ""                      |                               | Defines IPs that should be allowed access to the kibana port |

## Example

---

Execute playbook against multiple Kibana frontends with a single elasticsearch server

`ansible-playbook -i hosts site.yml`

```yaml
---
# file: hosts
kibana:
  hosts:
    ki01:
      ansible_host: 192.168.0.10
    ki02:
      ansible_host: 192.168.0.11
  vars:
    kibana_elasticsearch_url: "http://10.1.1.19:9200"
    kibana_firewall_access:
      - "10.1.1.1"
      - "10.1.1.254"
```

## License

See LICENSE file for full license information.
